Subject: knifemaking classes

From: [email-masked] (JNdavidson)
Date: 9 Oct 1994 02:01:02 -0400

Respond to [email-masked]. or CALL 1-800-FOLK SCHOOL for a free
catalog of over 350 classes for adults in knife-making, blacksmithing,
quilting, spinning, dyeing, basketry, folk dance, traditional music, all
on a beautiful mountain valley farm.  

The John C. Campbell Folk School is internationally known for the
high-quality of its teaching, the beauty of its surroundings, and the
non-competitive atmosphere of its educational programs.  A week at The
Folk School can cost less than five hundred dollars.  The Folk School
operates year round, and many courses are offered through Elderhostel.